Getting started
Back to home
Getting started

List project operations

List asynchronous operations submitted through the customer API. This remains available after API deletion of the project.

GET/api/customer/v1/projects/{projectId}/operations

Path parameters

NameValue
projectIdRequired resource ID from an earlier API response.

Query parameters

NameTypeRequiredLimits
cursorstringNoSee schema
limitintegerNoMinimum 1; Maximum 100

Example request

Set HCODE_BASE_URL and HCODE_API_KEY as shown in Getting started. Replace resource variables with your own IDs.

curl --request GET "$HCODE_BASE_URL/api/customer/v1/projects/${PROJECT_ID}/operations" \
  --header "Authorization: Bearer $HCODE_API_KEY"

Response

The JSON shape is defined in the response schema.

Response schema
{
  "type": "object",
  "properties": {
    "operations": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "operationId": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "errorMessage": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "createdAt": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "startedAt": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          },
          "finishedAt": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "required": [
          "id",
          "status"
        ],
        "additionalProperties": true
      }
    },
    "nextCursor": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "operations"
  ],
  "additionalProperties": true
}

See errors and retries for failure responses.